﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _915937_RadGridView
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.radGridView1.Dock = DockStyle.Fill;

            this.radGridView1.AutoSizeColumnsMode = Telerik.WinControls.UI.GridViewAutoSizeColumnsMode.Fill;
            this.radGridView1.EditorRequired += radGridView1_EditorRequired;
            this.radGridView1.CellEditorInitialized += radGridView1_CellEditorInitialized;
            this.radGridView1.CellFormatting += radGridView1_CellFormatting;

            this.radGridView1.Columns["ProductName"].Width = 300;
        }

        void radGridView1_CellFormatting(object sender, CellFormattingEventArgs e)
        {
            e.CellElement.TextAlignment = ContentAlignment.MiddleCenter;
        }

        void radGridView1_CellEditorInitialized(object sender, Telerik.WinControls.UI.GridViewCellEventArgs e)
        {
            RadTextBoxEditor textEditor = e.ActiveEditor as RadTextBoxEditor;
            GridSpinEditor spinEditor = e.ActiveEditor as GridSpinEditor;

            if (spinEditor != null)
            {
                GridSpinEditorElement el = spinEditor.EditorElement as GridSpinEditorElement;
                el.TextAlignment = HorizontalAlignment.Center;
            }

            if (textEditor != null)
            {
                RadTextBoxEditorElement el = textEditor.EditorElement as RadTextBoxEditorElement;
                el.TextAlign = HorizontalAlignment.Center;
            }
        }

        void radGridView1_EditorRequired(object sender, Telerik.WinControls.UI.EditorRequiredEventArgs e)
        {
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'nwindDataSet.Products' table. You can move, or remove it, as needed.
            this.productsTableAdapter.Fill(this.nwindDataSet.Products);
        }
    }
}
